GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
linespec Struct Reference

## Public Member Functions
| VEC (symtab_ptr)

## Public Attributes
struct explicit_location | explicit_loc
| labels

## Detailed Description

Definition at line 103 of file linespec.c.

## Member Function Documentation

## ◆ VEC()

linespec::VEC | ( | symtab_ptr |  | ) |
| inline

Definition at line 112 of file linespec.c.

## Member Data Documentation

## ◆ explicit_loc

struct explicit_location linespec::explicit_loc

Definition at line 106 of file linespec.c.

Referenced by canonicalize_linespec(), convert_explicit_location_to_linespec(), convert_linespec_to_sals(), create_sals_line_offset(), and decode_objc().

## ◆ labels

linespec::labels

Definition at line 126 of file linespec.c.

Referenced by canonicalize_linespec(), convert_explicit_location_to_linespec(), and convert_linespec_to_sals().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/linespec.c